﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace iSpyPlugin.Configuration
{
    public static class Content
    {
        public class Camera
        {
            public int Id;
            public bool Online;
            public string IPAddress;
            public int Port;
            public string Name;
            public Guid Ident;

        }

        private static readonly List<ServerCameras> Servercameras = new List<ServerCameras>();

        public static List<Camera> Cameras(configIspy ispyServer)
        {
            return Cameras(ispyServer, false);
        }

        public static List<Camera> Cameras(configIspy ispyServer, bool reload)
        {
            if (!reload)
            {
                ServerCameras sc = Servercameras.SingleOrDefault(p => p.ServerIP == ispyServer.ipaddress);
                if (sc != null)
                    return sc.CameraList;
            }

            var cameras = new List<Camera>();
            var s = Utility.Tools.GetFullUrlContent("http://" + ispyServer.ipaddress + ":" + ispyServer.port + "/getobjectlist", 5);
            if (s.IndexOf("OK") != -1)
            {
                var items = s.Split(Environment.NewLine.ToCharArray());
                foreach (var i in items)
                {
                    var icfg = i.Split(',');
                    if (icfg.Length > 1)
                    {
                        if (icfg[0] == "2")
                        {
                            //camera
                            
                            cameras.Add(new Camera
                                            {
                                                Id = Convert.ToInt32(icfg[1]),
                                                IPAddress = ispyServer.ipaddress,
                                                Name = icfg[3],
                                                Online = Convert.ToBoolean(icfg[2]),
                                                Port = ispyServer.port,
                                                Ident = Guid.NewGuid()
                                            });
                            
                        }
                    }
                }
            }
            else
            {
                throw new Exception("Access Denied");
            }
            Servercameras.RemoveAll(p => p.ServerIP == ispyServer.ipaddress);
            Servercameras.Add(new ServerCameras { ServerIP = ispyServer.ipaddress, CameraList = cameras });
            return cameras;

        }

        private class ServerCameras
        {
            public string ServerIP;
            public List<Camera> CameraList;
        }
    }
}
