﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Windows.Forms;
using System.Xml.Serialization;
using MediaPortal.Configuration;

namespace iSpyPlugin.Configuration
{
    static class ServerList
    {
        private static config _servers;

        public static config Servers
        {
            get
            {
                if (_servers == null)
                {
                    var configDir = Config.GetFolder(Config.Dir.Config);
                    if (File.Exists(configDir + "\\ispyconfig.xml"))
                    {
                        var s = new XmlSerializer(typeof(config));
                        var fs = new FileStream(configDir + "\\ispyconfig.xml", FileMode.Open);
                        TextReader reader = new StreamReader(fs);
                        try
                        {
                            fs.Position = 0;
                            var c = (config)s.Deserialize(reader);
                            fs.Close();
                            _servers = c;
                            if (_servers.ispy == null)
                            {
                                var cfgs = new List<configIspy>();
                                _servers.ispy = cfgs.ToArray();
                            }
                        }
                        catch (Exception ex)
                        {
                            MessageBox.Show(ex.Message);
                            _servers = new config();
                        }
                    }
                    else
                    {
                        _servers = new config();
                        var cfgs = new List<configIspy>();
                        _servers.ispy = cfgs.ToArray();

                    }

                }
                return _servers;
            }
        }

        public static void SaveConfig()
        {
            var configDir = Config.GetFolder(Config.Dir.Config);
            var s = new XmlSerializer(typeof(config));
            var fs = new FileStream(configDir + "\\ispyconfig.xml", FileMode.Create);
            TextWriter writer = new StreamWriter(fs);
            fs.Position = 0;
            s.Serialize(writer, _servers);
            fs.Close();
        }
    }
}
