﻿#region Copyright (C) 2005-2012 Team MediaPortal

// Copyright (C) 2005-2011 Team MediaPortal
// http://www.team-mediaportal.com
// 
// MediaPortal is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.
// 
// MediaPortal is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with MediaPortal. If not, see <http://www.gnu.org/licenses/>.

#endregion
using System;
using System.Net;
using System.Windows.Forms;
using iSpyPlugin.Utility;

namespace iSpyPlugin
{
    public partial class ConfigureServer : Form
    {
        public string IP = "";
        public int Port = 8080;

        public ConfigureServer()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            IP = txtIP.Text;
            Port = Convert.ToInt32(numPort.Value);

            IPAddress ip;
            if (IPAddress.TryParse(IP, out ip))
            {
                string r = Tools.GetFullUrlContent("http://" + ip + ":" + Port + "/ping", 3);

                if (r == "OK")
                {
                    DialogResult = DialogResult.OK;
                    Close();
                    return;
                }
                if (r.ToLower().IndexOf("access")!=-1)
                {
                    MessageBox.Show(
                        "You need to add this computers IP address to the allowed list in iSpy Settings.\n\nClick on the Settings button in iSpy then click on the IP Access tab and enter:\n\n" +
                        Tools.AddressIPv4 +"\n\nClick OK and try again.");
                    return;
                }
                if (String.IsNullOrEmpty(r))
                    MessageBox.Show("No response from the server - please check and try again.");
                else
                {
                    MessageBox.Show("Unexpected response: " + Tools.Shorten(r,50));
                }
                
            }
            else
            {
                MessageBox.Show("Please enter a valid IP address (eg 192.168.1.1)");
            }

            
        }



        private void ConfigureServer_Load(object sender, EventArgs e)
        {
            txtIP.Text = IP;
            numPort.Value = Port;
        }
    }
}
