﻿#region Copyright (C) 2005-2011 Team MediaPortal

// Copyright (C) 2005-2011 Team MediaPortal
// http://www.team-mediaportal.com
// 
// MediaPortal is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.
// 
// MediaPortal is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with MediaPortal. If not, see <http://www.gnu.org/licenses/>.

#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using iSpyPlugin.Configuration;
using MediaPortal.GUI.Library;
using MediaPortal.Playlists;

namespace iSpyPlugin
{
	/// <summary>
	/// Class responsible for playing video.
	/// </summary>
	public class MoviePlayer : IMoviePlayer
	{
		private readonly IMediaPortalPlayer mediaPortalPlayer;


		/// <summary>
		/// Initializes a new instance of the <see cref="CameraPlayer"/> class.
		/// </summary>
		/// <param name="mediaPortalPlayer">The played used in MediaPortal.</param>
		/// <param name="videoUrlBuilder">The video URL builder.</param>
		public MoviePlayer(
			IMediaPortalPlayer mediaPortalPlayer)
		{
			this.mediaPortalPlayer = mediaPortalPlayer;
		}


		/// <summary>
		/// Plays live video from specified camera.
		/// </summary>
		/// <param name="camera">The camera.</param>
		public void PlayMovie(string URL, string Name)
		{
			// Play live view in full screen
            mediaPortalPlayer.PlayVideoStreamInFullScreen(URL, Name);
		}
	}
}